dccsight(8)

NAME
dccsight - Distributed Checksum Clearinghouse raw checksum interface

SYNOPSIS
dccsight [-VdQC] [-h homedir] [-m map] [-w whiteclnt] [-t targets] [-i infile] [-L ltype,facility.level]

DESCRIPTION
Dccsight reads one or more lines containing DCC checksums, reports them to a DCC server, and writes a X-DCC header line. It can be used to report checksums obtained from dccproc(8) using -C.

  OPTIONS
The following options are available:

-V  displays the version of the DCC raw checksum interface.

-d  enables debugging output from the DCC client library. Additional -d options increase the number of messages.

-Q  only queries the DCC server about the checksums instead of reporting and then querying. This is useful when dccsight is used to filter mail that has already been reported to a DCC server by another DCC client such as dccm(8). This can also be useful when applying a private white or black list to mail that has already been reported to a DCC server. No single mail message should be reported to a DCC server more than once per recipient, such as would happen if dccsight is not given -Q when processing a stream of mail that has already been seen by a DCC client. Additional reports of a message increase its apparent "bulkness."

-C  outputs the checksums for the message as well as the X-DCC header.

-h homedir
    overrides the default DCC home directory, which is often /var/dcc.

-m map
    specifies a name or path of the memory mapped parameter file instead of the default map in the DCC home directory. It should be created with the cdcc(8) command.

-w whiteclnt
    specifies an optional file containing SMTP client IP addresses and SMTP headers of mail that do not need X-DCC headers and whose checksums should not be reported to the DCC server. It can also contain checksums of spam. If the pathname is not absolute, it is relative to the DCC home directory. Thus, individual users with private whitelists usually specify them with absolute paths. It is useful to include a common or system-wide whitelist in private lists.

    The format of the dccsight whiteclnt file is the same as the whitelist file required by dbclean(8) and dccsight(8). Because this list is used frequently, a companion file is used. It has the same pathname but with an added suffix of .dccw. After being created empty, it will contain an automatic memory mapped hash table of the main file.

-t targets
    specifies the number of addressees of the message if other than 1. The string many instead of a number asserts that there were too many addressees and that the message is unsolicited bulk email.

-i infile
    specifies an input file instead of standard input. If not absolute, the pathname is interpreted relative to the directory in which dccsight was started.

-L ltype,facility.level
    specifies how messages should be logged. Ltype must be error or info to indicate which of the two types of messages are being controlled. Level must be a syslog(3) level among EMERG, ALERT, CRIT, ERR, WARNING, NOTICE, INFO, and DEBUG. Facility must be among AUTH, AUTHPRIV, CRON, DAEMON, FTP, KERN, LPR, MAIL, NEWS, USER, UUCP, and LOCAL0 through LOCAL7. The default is equivalent to

        -L info,MAIL.NOTICE -L error,MAIL.ERR

dccsight exits 0 on success, and >0 if an error occurs.

FILES
/var/dcc
    DCC home directory in which other files are found.
map memory mapped file in the DCC home directory of information concerning DCC servers.
whiteclnt
    contains the client whitelist in the format described in dcc(8).
whiteclnt.dccw
    memory mapped hash table of the whiteclnt file.

SEE ALSO
cdcc(8), dcc(8), dbclean(8), dccd(8), dblist(8), dccproc(8), dccm(8), dccifd(8), mail(1), procmail(1).

HISTORY
Implementation of dccsight was started at Rhyolite Software in 2000. This describes version 1.3.42.